@echo off & cls
echo 正在停止IIS服务....
net stop iisadmin /y

echo 卸载组件 ASPEncode.DLL
regsvr32 /u /s %windir%\system32\ASPEncode.DLL

echo 复制组件 ASPEncode.DLL
copy ASPEncode.DLL %windir%\system32

rem 注册组件
echo 注册组件 ASPEncode.DLL
regsvr32 /s ASPEncode.DLL
regsvr32 /s %windir%\system32\ASPEncode.DLL


rem 启动iis
echo 正在启动IIS服务....
net start w3svc

echo ASP 注册组件成功！